cb_functions		equ 11
prim_functions		equ 148

cb_KeyEvent		equ 0
cb_MenuInit		equ 1
cb_InfoBoxInit	equ 2
cb_InfoBoxDone	equ 3
cb_ProgressInit	equ 4
cb_ProgressDone	equ 5
cb_ProgressUpdate	equ 6
cb_PasswordInit	equ 7
cb_PasswordDone	equ 8
cb_Timeout		equ 9
cb_Timer		equ 10

%macro			prim_jump_table 0
jt_p_none		dw 0			; 00h
jt_p_code		dw 0			; 01h
jt_p_ret		dw 0			; 02h
jt_p_astart		dw prim_astart		; 03h
jt_p_aend		dw prim_aend		; 04h
jt_p_def		dw prim_def		; 05h
jt_p_if			dw prim_if		; 06h
jt_p_ifelse		dw prim_ifelse		; 07h
jt_p_loop		dw prim_loop		; 08h
jt_p_repeat		dw prim_repeat		; 09h
jt_p_for		dw prim_for		; 0ah
jt_p_forall		dw prim_forall		; 0bh
jt_p_exit		dw prim_exit		; 0ch
jt_p_return		dw prim_return		; 0dh
jt_p_array		dw prim_array		; 0eh
jt_p_get		dw prim_get		; 0fh
jt_p_put		dw prim_put		; 10h
jt_p_length		dw prim_length		; 11h
jt_p_dup		dw prim_dup		; 12h
jt_p_pop		dw prim_pop		; 13h
jt_p_exch		dw prim_exch		; 14h
jt_p_rot		dw prim_rot		; 15h
jt_p_roll		dw prim_roll		; 16h
jt_p_over		dw prim_over		; 17h
jt_p_index		dw prim_index		; 18h
jt_p_exec		dw prim_exec		; 19h
jt_p_add		dw prim_add		; 1ah
jt_p_sub		dw prim_sub		; 1bh
jt_p_mul		dw prim_mul		; 1ch
jt_p_div		dw prim_div		; 1dh
jt_p_mod		dw prim_mod		; 1eh
jt_p_neg		dw prim_neg		; 1fh
jt_p_abs		dw prim_abs		; 20h
jt_p_min		dw prim_min		; 21h
jt_p_max		dw prim_max		; 22h
jt_p_and		dw prim_and		; 23h
jt_p_or			dw prim_or		; 24h
jt_p_xor		dw prim_xor		; 25h
jt_p_not		dw prim_not		; 26h
jt_p_shl		dw prim_shl		; 27h
jt_p_shr		dw prim_shr		; 28h
jt_p_eq			dw prim_eq		; 29h
jt_p_ne			dw prim_ne		; 2ah
jt_p_gt			dw prim_gt		; 2bh
jt_p_ge			dw prim_ge		; 2ch
jt_p_lt			dw prim_lt		; 2dh
jt_p_le			dw prim_le		; 2eh
jt_p_trace		dw prim_trace		; 2fh
jt_p_dtrace		dw prim_dtrace		; 30h
jt_p_malloc		dw prim_malloc		; 31h
jt_p_free		dw prim_free		; 32h
jt_p_memsize		dw prim_memsize		; 33h
jt_p_dumpmem		dw prim_dumpmem		; 34h
jt_p_gettype		dw prim_gettype		; 35h
jt_p_settype		dw prim_settype		; 36h
jt_p_screensize		dw prim_screensize	; 37h
jt_p_imagecolors	dw prim_imagecolors	; 38h
jt_p_moveto		dw prim_moveto		; 39h
jt_p_currentpoint	dw prim_currentpoint	; 3ah
jt_p_lineto		dw prim_lineto		; 3bh
jt_p_setcolor		dw prim_setcolor	; 3ch
jt_p_currentcolor	dw prim_currentcolor	; 3dh
jt_p_putpixel		dw prim_putpixel	; 3eh
jt_p_getpixel		dw prim_getpixel	; 3fh
jt_p_setfont		dw prim_setfont		; 40h
jt_p_currentfont	dw prim_currentfont	; 41h
jt_p_fontheight		dw prim_fontheight	; 42h
jt_p_strsize		dw prim_strsize		; 43h
jt_p_show		dw prim_show		; 44h
jt_p_image		dw prim_image		; 45h
jt_p_loadpalette	dw prim_loadpalette	; 46h
jt_p_tint		dw prim_tint		; 47h
jt_p_settintcolor	dw prim_settintcolor	; 48h
jt_p_setpalette		dw prim_setpalette	; 49h
jt_p_getpalette		dw prim_getpalette	; 4ah
jt_p_settransparentcolor	dw prim_settransparentcolor	; 4bh
jt_p_savescreen		dw prim_savescreen	; 4ch
jt_p_restorescreen	dw prim_restorescreen	; 4dh
jt_p_fillrect		dw prim_fillrect	; 4eh
jt_p_snprintf		dw prim_snprintf	; 4fh
jt_p_editinit		dw prim_editinit	; 50h
jt_p_editdone		dw prim_editdone	; 51h
jt_p_editinput		dw prim_editinput	; 52h
jt_p_editshowcursor	dw prim_editshowcursor	; 53h
jt_p_edithidecursor	dw prim_edithidecursor	; 54h
jt_p_updatedisk		dw prim_updatedisk	; 55h
jt_p_rmoveto		dw prim_rmoveto		; 56h
jt_p_bootloader		dw prim_bootloader	; 57h
jt_p_strstr		dw prim_strstr		; 58h
jt_p_soundgetvolume	dw prim_soundgetvolume	; 59h
jt_p_soundsetvolume	dw prim_soundsetvolume	; 5ah
jt_p_soundgetsamplerate	dw prim_soundgetsamplerate	; 5bh
jt_p_soundsetsamplerate	dw prim_soundsetsamplerate	; 5ch
jt_p_soundplay		dw prim_soundplay	; 5dh
jt_p_sounddone		dw prim_sounddone	; 5eh
jt_p_modload		dw prim_modload	; 5fh
jt_p_modplay		dw prim_modplay	; 60h
jt_p_modplaysample	dw prim_modplaysample	; 61h
jt_p_settextwrap	dw prim_settextwrap	; 62h
jt_p_currenttextwrap	dw prim_currenttextwrap	; 63h
jt_p_seteotchar		dw prim_seteotchar	; 64h
jt_p_currenteotchar	dw prim_currenteotchar	; 65h
jt_p_settextcolors	dw prim_settextcolors	; 66h
jt_p_currenttextcolors	dw prim_currenttextcolors	; 67h
jt_p_setmaxrows		dw prim_setmaxrows	; 68h
jt_p_currentmaxrows	dw prim_currentmaxrows	; 69h
jt_p_formattext		dw prim_formattext	; 6ah
jt_p_gettextrows	dw prim_gettextrows	; 6bh
jt_p_setstartrow	dw prim_setstartrow	; 6ch
jt_p_getlinks		dw prim_getlinks	; 6dh
jt_p_setlink		dw prim_setlink		; 6eh
jt_p_currentlink	dw prim_currentlink	; 6fh
jt_p_getlink		dw prim_getlink		; 70h
jt_p_lineheight		dw prim_lineheight	; 71h
jt_p_currenttitle	dw prim_currenttitle	; 72h
jt_p_videomodes		dw prim_videomodes	; 73h
jt_p_getvideomode	dw prim_getvideomode	; 74h
jt_p_xsavescreen	dw prim_xsavescreen	; 75h
jt_p_usleep		dw prim_usleep		; 76h
jt_p_notimeout		dw prim_notimeout	; 77h
jt_p_time		dw prim_time		; 78h
jt_p_setbrightness	dw prim_setbrightness	; 79h
jt_p_currentbrightness	dw prim_currentbrightness	; 7ah
jt_p_fadein		dw prim_fadein		; 7bh
jt_p_fade		dw prim_fade		; 7ch
jt_p_idle		dw prim_idle		; 7dh
jt_p_imagesize		dw prim_imagesize	; 7eh
jt_p_bootdrive		dw prim_bootdrive	; 7fh
jt_p_reloadfs		dw prim_reloadfs	; 80h
jt_p_usernote		dw prim_usernote	; 81h
jt_p_eject		dw prim_eject		; 82h
jt_p_poweroff		dw prim_poweroff	; 83h
jt_p_reboot		dw prim_reboot		; 84h
jt_p_getinfo		dw prim_getinfo		; 85h
jt_p_64bit		dw prim_64bit		; 86h
jt_p_getbyte		dw prim_getbyte		; 87h
jt_p_putbyte		dw prim_putbyte		; 88h
jt_p_getdword		dw prim_getdword	; 89h
jt_p_putdword		dw prim_putdword	; 8ah
jt_p_findfile		dw prim_findfile	; 8bh
jt_p_setmode		dw prim_setmode		; 8ch
jt_p_currentmode	dw prim_currentmode	; 8dh
jt_p_findmode		dw prim_findmode	; 8eh
jt_p_colorbits		dw prim_colorbits	; 8fh
jt_p_setimage		dw prim_setimage	; 90h
jt_p_currentimage	dw prim_currentimage	; 91h
jt_p_settransparency	dw prim_settransparency	; 92h
jt_p_currenttransparency	dw prim_currenttransparency	; 93h
%endmacro
